Bug 203823 - YUM does not stop at ^C
YUM does not stop at ^C
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Depends On:
  Show dependency treegraph
Reported: 2006-08-23 17:08 EDT by Han-Wen Nienhuys
Modified: 2014-01-21 17:54 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-08-26 07:38:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Han-Wen Nienhuys 2006-08-23 17:08:01 EDT
If yum is busy downloading packages, ^C does not stop it, rather yum assumes
that there was a network error, and starts trying another mirror. Thus, it
almost impossible to stop yum in a normal way. "killall -9 yum" does work, but
brings the risk of database corruption.

Please make yum treat ^C specially.
Comment 1 Damien Durand 2006-08-26 07:38:42 EDT
Thanks for taking the time to report this bug. Well, for me this report is not
really a bug, yum can be stoped yum with ^Z.
Comment 2 Han-Wen Nienhuys 2006-08-26 09:37:40 EDT
yes, and it also stops when I send the SIGABRT signal, or when I bang the
computer with a baseball bat. That is not the point.  The principle of least
astonishment says: unix programs stop gracefully if interrupted by ^C. YUM
violates this principle. 

Please reopen this bug.

Note You need to log in before you can comment on or make changes to this bug.